## SPEC file for Perl module Test::MockObject

%define version    1.07
%define release    alt1

Name: perl-Test-MockObject
Version: %version
Release: %release

Summary: Perl extension for emulating troublesome interfaces

License: GPL or Artistic
Group: Development/Perl

%define real_name Test-MockObject
URL: http://search.cpan.org/~chromatic/Test-MockObject/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source: http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/%real_name-%version.tar.gz

BuildArch: noarch

AutoReqProv: perl, yes
BuildPreReq: perl-devel, perl-Module-Build
BuildPreReq: perl-Test-Exception, perl-CGI, perl-UNIVERSAL-can, perl-UNIVERSAL-isa

%description
Perl module Test::MockObject allows to create objects that conform to particular
interfaces with very little code.  With it there are  no need to reimplement the 
behavior,  just the input and the output.  This module can be used for different
test purposes.


%prep
%setup -q -n %real_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%exclude %perl_vendor_man3dir/*
%perl_vendor_privlib/Test/MockObject*


%changelog
* Thu Mar 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.07-alt1
- Initial build for ALT Linux Sisyphus

* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.07-alt0
- Initial build
